BeagleBenchmarkedResource Struct Reference

Description of a benchmarked hardware resource. More...

`#include <beagle.h>`

## Public Attributes

int | number
char * | name
char * | description
long | supportFlags
long | requiredFlags
int | returnCode
char * | implName
long | benchedFlags
double | benchmarkResult
double | performanceRatio

## Detailed Description

Description of a benchmarked hardware resource.

## Member Data Documentation

## benchedFlags

long BeagleBenchmarkedResource::benchedFlags

Bit-flags that characterize the activate capabilities of the resource and implementation for this benchmark

## benchmarkResult

double BeagleBenchmarkedResource::benchmarkResult

Benchmark result in milliseconds

## description

char* BeagleBenchmarkedResource::description

Description of resource as a NULL-terminated character string

## implName

char* BeagleBenchmarkedResource::implName

Name of implementation used to benchmark resource

## name

char* BeagleBenchmarkedResource::name

Name of resource as a NULL-terminated character string

## number

int BeagleBenchmarkedResource::number

Resource number

## performanceRatio

double BeagleBenchmarkedResource::performanceRatio

Performance ratio relative to default CPU resource

## requiredFlags

long BeagleBenchmarkedResource::requiredFlags

Bit-flags that identify resource type

## returnCode

int BeagleBenchmarkedResource::returnCode

Return code of for benchmark attempt (see BeagleReturnCodes)

## supportFlags

long BeagleBenchmarkedResource::supportFlags

Bit-flags of supported capabilities on resource

The documentation for this struct was generated from the following file:

- libhmsbeagle/beagle.h